<?php
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
/**
* Zoom Tab Class for handling the CB tab api
* @package Community Builder
* @author Unknown, PeterMixt, JoomlaJoe, Beat, mwep
*/
class getOnstatTab extends cbTabHandler 
{
	/**
	* Constructor
	*/
	function getOnstatTab() 
	{
		$this->cbTabHandler();
	}
	/**
	* Generates the HTML to display the user profile tab
	* @param object tab reflecting the tab database entry
	* @param object mosUser reflecting the user being displayed
	* @param int 1 for front-end, 2 for back-end
	* @returns mixed : either string HTML for tab content, or false if ErrorMSG generated
	*/	
	function getDisplayTab($tab,$user,$ui) 
	{
		$params = $this->params;
		$IndiServer = $params->get('IndiServer', 'http://the-server.net:8001');
		$return = "";
		### ICQ - Start ###
		if ($user->cb_ICQ != '') 
		{
			$return .= "<a href=\"$IndiServer/message/icq/$user->cb_ICQ\"><img src=\"$IndiServer/icq/$user->cb_ICQ/onurl=$url/icqonline.gif/offurl=$url/icqoffline.gif/unknownurl=$url/icqunknown.gif\" align=\"middle\" border=\"0\" alt=\"ICQ\" onerror=\"this.onerror=null;this.src='$IndiServer/image/icqunknown.gif';\"></a>";
		}
		### MSN - Start ###
		if ($user->cb_MSN != '') 
		{
			$return .= "<a href=\"$IndiServer/message/msn/$user->cb_MSN\"><img src=\"$IndiServer/msn/$user->cb_MSN/onurl=$url/msnonline.gif/offurl=$url/msnoffline.gif/unknownurl=$url/msnunknown.gif\" align=\"middle\" border=\"0\" alt=\"MSN\" onerror=\"this.onerror=null;this.src='$IndiServer/image/msnunknown.gif';\"></a>";
		} 
		### AIM - Start ###
		if ($user->cb_aol != '') 
		{
			$return .= "<a href=\"aim:goim?screenname=$user->cb_aol\"><img src=\"$IndiServer/aim/$user->cb_aol/onurl=$url/aimonline.gif/offurl=$url/aimoffline.gif/unknownurl=$url/aimunknown.gif\" align=\"middle\" border=\"0\" alt=\"AIM\" onerror=\"this.onerror=null;this.src='$IndiServer/image/aimunknown.gif';\"></a>";
		} 
		### YAHOO - Start ###
		if ($user->cb_Yahoo != '') 
		{
			$return .= "<a href=\"ymsgr:sendIM?$user->cb_Yahoo\"><IMG name=\"Yahoostatus\" SRC=\"$IndiServer/yahoo/$user->cb_Yahoo\" align=\"absmiddle\" border=\"0\" ALT=\"Yahoo\" title=\"Yahoo\" onerror=\"this.onerror=null;this.src='$IndiServer/images/yahoounknown.gif'</a>;\">";
		}
		### Jabber - Start ###		
		if ($user->cb_jabber != '') 
		{
			$return .= "<a href=\"xmpp:$user->cb_jabber\"><img src=\"$IndiServer/jabber/$user->cb_jabber/onurl=$url/jabberonline.gif/offurl=$url/jabberoffline.gif/unknownurl=$url/jabberunknown.gif\" align=\"middle\" border=\"0\" alt=\"Jabber\" onerror=\"this.onerror=null;this.src='$IndiServer/image/jabberounknown.gif';\"></a>";		} 
		### Skype - Start ###
		if ($user->cd_skype != '')
				{
			$return .= "<a href=\"skype:$user->cb_skype?chat\"><img src=\"$IndiServer/skype/$user->cb_skype/onurl=$url/skypeonline.gif/offurl=$url/skypeoffline.gif/unknownurl=$url/skypeunknown.gif\" align=\"middle\" border=\"0\" alt=\"Skype\" onerror=\"this.onerror=null;this.src='$IndiServer/image/skypeunknown.gif';\"></a>";
		}
		return $return;
        
	}
}
?>